Subject: bug#77301: Is this a bug?

From: [email-masked]
Date: Thu, 27 Mar 2025 10:17:36 -0600

"Dale R. Worley" via Bug reports for GNU grep <[email-masked]> wrote:

> George R Goffe via Bug reports for GNU grep <[email-masked]> writes:
> > Apparently the gcc folks have been busy, tightening up the
> > "rules". I'm not sure this isn't one so I'm reporting it.
>
> > pcresearch.c:222:23: error: initializer-string for array of 'char' is too long [-Werror=unterminated-string-initialization]
> >   222 |         wprefix[10] = "(?<!\\w)(?:", wsuffix[7] = ")(?!\\w)";
> >       |                       ^~~~~~~~~~~~~
>
> That is strange:  I can't find any statement that recent C standards
> have removed the special case "initialize a char array that doesn't have
> room for the final NULL from a string literal".
>
> Dale

The bug is that the constants given for the sizes are each to small by one.
Count the characters in each string, add 1 for the final '\0', and
you'll see.

Arnold